Page MenuHomePhabricator

Long edit summary/titles/user breaking AMC special pages
Closed, ResolvedPublic3 Estimated Story Points

Description

Steps to reproduce

  1. Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH
  2. Edit the page and add the edit summary "AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH"
  3. Watch the page
  4. View the history of the page on a mobile browser

Problems:

  • Note the username isnt contained
  1. Now visit Special:Watchlist (or Special:RecentChanges)

Problems:

  • Note the username isnt contained
  • Note the title is not contained
  • Note the edit summary is not contained.

Expected

  • page should render normally

Observed

  • Width is broken:

Developer notes

We can solve this by limiting the width and showing an ellipsis or breaking long words on multiple lines.
In the case of the edit summary we can either break the word or limit the size of the edit summary and showing an ellipsis, but given the presentation of the title and username the ellipsis seems the best option.

acceptance criteria

After talking to Alex..

  • Use ellipsis on title and username
  • Break long words on watchlist view

qa steps

  1. Edit summaries
  2. Look at edit summaries on https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH&action=history wrappppppppppppppppppppppppppppppppiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiing history page and create a new edit with a long word (using one of the existing sumarries as examples. When editing the page will be added to your watchlist
  3. Check the history page on a mobile device
  4. Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidecategorization=1&hideWikibase=1&limit=250&days=3&urlversion=2 and make sure the words are wrapping.
  5. Check the same on Special:RecentChanges, User:Contributions/<yourname>.

Username

-Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH&action=history

  • Confirm username is truncated with a ...
  • Edit the page
  • Visit Special:Watchlist and confirm the title is truncated with a ...

QA Results

QA Results 03/25/2020, Beta

QA Results 03/25/2020, HEWIKI

QA Results 04/02/2020, Beta

QA Results 03/25/2020, HEWIKI

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
JTannerWMF added a subscriber: JTannerWMF.

Volker is planning to work on this this week.

phuedx removed a subscriber: phuedx.Feb 20 2020, 9:28 AM

After a quick look, this should probably be fixed upstream in “ActionFieldLayout aligned inline”. Not convinced that ellipsis is a good solution anywhere as it might result in an extra click. I'd defer to showing always full contents (title of this label) and rather oblige more scrolling to the user instead of clicking and wait time for loading corresponding page.
Showing here the example given in the description on iPhone 6/7/8 (375px, not even 320px our minimum requirement)

If we do ellipsis we hide too much IMHO.

With word-break:

Change 573620 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] FieldLayout: Break overlong words in labels of inline FieldLayouts

https://gerrit.wikimedia.org/r/573620

Change 573620 merged by jenkins-bot:
[oojs/ui@master] FieldLayout: Break overlong words in labels of inline FieldLayouts

https://gerrit.wikimedia.org/r/573620

Jdlrobson reassigned this task from Volker_E to Edtadros.Feb 24 2020, 7:24 PM

Blocked n OOUI release?

ovasileva lowered the priority of this task from Medium to Low.Feb 25 2020, 4:29 PM

Change 575115 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.37.0

https://gerrit.wikimedia.org/r/575115

Change 575115 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.37.0

https://gerrit.wikimedia.org/r/575115

Jdlrobson reassigned this task from Edtadros to Volker_E.Mar 3 2020, 6:08 PM

Yo, that's not OOUI. That has also not been available in original task description, but added after my first take. 😞

was added prior to estimation and your first patch.

Can you look into this or do you want me to to pick this up? Possibly can revise https://gerrit.wikimedia.org/r/c/548537 tomorrow if you don't have bandwidth.

Change 577343 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Word-break overlong usernames in links

https://gerrit.wikimedia.org/r/577343

Change 577351 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Word-break overlong usernames

https://gerrit.wikimedia.org/r/577351

Change 577343 merged by jenkins-bot:
[mediawiki/core@master] Word-break overlong usernames in links

https://gerrit.wikimedia.org/r/577343

On 375px:

This isn't the most beautiful, but an acceptable compromise for this edge case. Everything else would result in much more code (floating, width limiting etc.)

Change 577351 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Word-break overlong usernames

https://gerrit.wikimedia.org/r/577351

ovasileva reassigned this task from Volker_E to Edtadros.Mar 9 2020, 5:12 PM

Change 548537 abandoned by Jdlrobson:
POC: Long edit summary/titles/user breaking AMC special pages

Reason:
Superseded by https://gerrit.wikimedia.org/r/c/577343, https://gerrit.wikimedia.org/r/c/577351,https://gerrit.wikimedia.org/r/c/573620

https://gerrit.wikimedia.org/r/548537

Edtadros reassigned this task from Edtadros to Jdlrobson.Mar 12 2020, 4:03 AM

Test Result

Status: ❌ FAIL
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Edit summaries

  1. Look at edit summaries on https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH&action=history wrappppppppppppppppppppppppppppppppiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiing history page and create a new edit with a long word (using one of the existing sumarries as examples. When editing the page will be added to your watchlist
  2. ✅ AC1: Check the history page on a mobile device

  1. ❌ AC2: Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidecategorization=1&hideWikibase=1&limit=250&days=3&urlversion=2 and make sure the words are wrapping.

  1. Check the same on

❌ AC3: Special:RecentChanges


❌ ❓AC4: User:Contributions/<yourname>.
The specified page didn't exist. Instead I used Special:Contributions/Edtadros-beta1

Username
-Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH&action=history

❌ AC5: Confirm username is truncated with a ...
I created a long username and made an edit.

Edit the page
❌ AC6: Visit Special:Watchlist and confirm the title is truncated with a ...

Edtadros updated the task description. (Show Details)Mar 12 2020, 4:05 AM
Jdlrobson removed Jdlrobson as the assignee of this task.Mar 12 2020, 7:08 PM

@Volker_E looks like there are still some remaining immediate issues on the watchlist where the styles are not applying:
https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidecategorization=1&hideWikibase=1&limit=250&days=3&urlversion=2

Less urgent but @alexhollender suggested usernames should be truncated with a '...' rather than wrapped..

Change 581039 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Limit title on Special:Watchlist and Special:RecentChanges

https://gerrit.wikimedia.org/r/581039

Change 581039 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Limit title on Special:Watchlist and Special:RecentChanges

https://gerrit.wikimedia.org/r/581039

Test Result

Status: ❌ FAIL
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Edit summaries

  1. Look at edit summaries on https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH&action=history wrappppppppppppppppppppppppppppppppiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiing history page and create a new edit with a long word (using one of the existing sumarries as examples. When editing the page will be added to your watchlist
  2. ✅ AC1: Check the history page on a mobile device

  1. ✅ AC2: Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidecategorization=1&hideWikibase=1&limit=250&days=3&urlversion=2 and make sure the words are wrapping.

  1. Check the same on

✅ AC3: Special:RecentChanges


❌ AC4: User:Contributions/<yourname>.
The specified page didn't exist. Instead I used Special:Contributions/Edtadros-beta1

Username
-Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH&action=history

❌ AC5: Confirm username is truncated with a ...
Long username still wraps.

Edit the page
❌ AC6: Visit Special:Watchlist and confirm the title is truncated with a ...

Edtadros updated the task description. (Show Details)Mar 26 2020, 2:44 AM

Test Result - HEWIKI

Status: ❌ FAIL
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Edit summaries

  1. Look at edit summaries on https://he.m.wikipedia.org/w/index.php?title=%D7%94%D7%9E%D7%94%D7%93%D7%95%D7%A8%D7%94_%D7%94%D7%90%D7%97%D7%AA-%D7%A2%D7%A9%D7%A8%D7%94_%D7%A9%D7%9C_%D7%90%D7%A0%D7%A6%D7%99%D7%A7%D7%9C%D7%95%D7%A4%D7%93%D7%99%D7%94_%D7%91%D7%A8%D7%99%D7%98%D7%A0%D7%99%D7%A7%D7%94&action=history wrappppppppppppppppppppppppppppppppiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiing history page and create a new edit with a long word (using one of the existing sumarries as examples. Add page to your watchlist
  2. ✅ AC1: Check the history page on a mobile device

  1. ✅ AC2: Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidecategorization=1&hideWikibase=1&limit=250&days=3&urlversion=2 and make sure the words are wrapping.

  1. Check the same on

✅ AC3: Special:RecentChanges


✅ AC4: https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%AA%D7%A8%D7%95%D7%9E%D7%95%D7%AA/Shinaimm.

Username
-Visit https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%94%D7%99%D7%A1%D7%98%D7%95%D7%A8%D7%99%D7%94/%D7%AA%D7%90%D7%95%D7%93%D7%95%D7%A8%D7%95%D7%A1_%D7%94%D7%A9%D7%A0%D7%99_(%D7%90%D7%A4%D7%99%D7%A4%D7%99%D7%95%D7%A8_%D7%A7%D7%95%D7%A4%D7%98%D7%99)

✅ AC5: Confirm username is truncated with a ...
Long username still wraps.

Edit the page
❌ AC6: Visit Special:Watchlist (https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%A2%D7%A8%D7%99%D7%9B%D7%AA_%D7%A8%D7%A9%D7%99%D7%9E%D7%AA_%D7%94%D7%9E%D7%A2%D7%A7%D7%91) and confirm the title is truncated with a ...

Edtadros reassigned this task from Edtadros to Jdlrobson.Mar 26 2020, 7:27 AM
Edtadros updated the task description. (Show Details)

@Jdlrobson - Please take a look at my screenshots and see if A) I was in the right place and 2) If my verifications make sense.

I can reproduce. Lets try a third time lucky...

Edtadros updated the task description. (Show Details)Mar 26 2020, 4:01 PM

Change 583772 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Break title on watchlist

https://gerrit.wikimedia.org/r/583772

Change 583772 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Break title on watchlist and scope non-hyphenated links

https://gerrit.wikimedia.org/r/583772

Change 583800 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Also break word in .mw-contributions-title

https://gerrit.wikimedia.org/r/583800

Change 583800 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Also break word in .mw-contributions-title

https://gerrit.wikimedia.org/r/583800

Test Result

Status: ❌ FAIL
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Edit summaries

  1. Look at edit summaries on https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH&action=history wrappppppppppppppppppppppppppppppppiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiing history page and create a new edit with a long word (using one of the existing sumarries as examples. When editing the page will be added to your watchlist
  2. ✅ AC1: Check the history page on a mobile device

  1. ✅ AC2: Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidecategorization=1&hideWikibase=1&limit=250&days=3&urlversion=2 and make sure the words are wrapping.

  1. Check the same on

✅ AC3: Special:RecentChanges


❌ AC4: User:Contributions/<yourname>.
The specified page didn't exist. Instead I used Special:Contributions/Edtadros-beta1. The summary still doesn't wrap.

Username
-Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=AHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH&action=history

❌ AC5: Confirm username is truncated with a ...
Long username still wraps.

Edit the page
❌ AC6: Visit Special:Watchlist and confirm the title is truncated with a ...

Jdlrobson reassigned this task from Edtadros to alexhollender.EditedApr 2 2020, 5:01 PM

Thanks @Edtadros
@Volker_E @alexhollender - it seems we are wrapping rather than truncating in some places. Is the QA/acceptance criteria wrong or is this acceptable?

Given the time this card has been lingering can we just admit defeat and move this to sign off and resolve?
The main issue of breaking the width of the site seems to be addressed (maybe we can change these QA steps to "I cannot horizontally scroll the page".

I do see one remaining issue (out of scope T249247) which seem serious but unrelated to these changes.

Edtadros added a comment.EditedApr 2 2020, 5:04 PM

Test Result - HEWIKI

Status: ❓ For Review
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Edit summaries

  1. Look at edit summaries on https://he.m.wikipedia.org/w/index.php?title=%D7%94%D7%9E%D7%94%D7%93%D7%95%D7%A8%D7%94_%D7%94%D7%90%D7%97%D7%AA-%D7%A2%D7%A9%D7%A8%D7%94_%D7%A9%D7%9C_%D7%90%D7%A0%D7%A6%D7%99%D7%A7%D7%9C%D7%95%D7%A4%D7%93%D7%99%D7%94_%D7%91%D7%A8%D7%99%D7%98%D7%A0%D7%99%D7%A7%D7%94&action=history wrappppppppppppppppppppppppppppppppiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiing history page and create a new edit with a long word (using one of the existing sumarries as examples. Add page to your watchlist
  2. ✅ AC1: Check the history page on a mobile device

  1. ✅ AC2: Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidecategorization=1&hideWikibase=1&limit=250&days=3&urlversion=2 and make sure the words are wrapping.

Note: I used Responsive as the device in Chrome Devtools device emulator in order to make the width more narrow to force a wrap.

  1. Check the same on

✅ AC3: Special:RecentChanges


✅ AC4: https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%AA%D7%A8%D7%95%D7%9E%D7%95%D7%AA/Shinaimm.

Username
-Visit https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%94%D7%99%D7%A1%D7%98%D7%95%D7%A8%D7%99%D7%94/%D7%AA%D7%90%D7%95%D7%93%D7%95%D7%A8%D7%95%D7%A1_%D7%94%D7%A9%D7%A0%D7%99_(%D7%90%D7%A4%D7%99%D7%A4%D7%99%D7%95%D7%A8_%D7%A7%D7%95%D7%A4%D7%98%D7%99)

❓ AC5: Confirm username is truncated with a ...
Long username still wraps.


Unless I'm logged in as that user. (update: this is with AMC off, not sure it's user specific)

Edit the page
❓ AC6: Visit Special:Watchlist (https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%A2%D7%A8%D7%99%D7%9B%D7%AA_%D7%A8%D7%A9%D7%99%D7%9E%D7%AA_%D7%94%D7%9E%D7%A2%D7%A7%D7%91) and confirm the title is truncated with a ...
List doesn't truncate


But, Modified does.

Edtadros updated the task description. (Show Details)Apr 2 2020, 5:06 PM
Edtadros updated the task description. (Show Details)

@Jdlrobson I'm wondering if I'm just not logged in with the right user or settings when I test these. If you look at AC5 in T237230#6023325 It behaved differently with a user with AMC on vs off.

@Jdlrobson I'm wondering if I'm just not logged in with the right user or settings when I test these. If you look at AC5 in T237230#6023325 It behaved differently with a user with AMC on vs off.

I think that's fine. The bug we're fixing was just AMC. I've asked @alexhollender for some clarification about the acceptance criteria. It's possible all these might be passes.
https://phabricator.wikimedia.org/T237230#6023287

alexhollender removed alexhollender as the assignee of this task.Apr 2 2020, 7:38 PM

Regarding the failing acceptance criteria — we've decided that it's fine as is and not worth going through the trouble of updating the AC and re-doing QA. Moving to signoff.

ovasileva closed this task as Resolved.Apr 3 2020, 8:14 AM
ovasileva claimed this task.

Resolving. Thanks all!